unit Unit2;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs,
  FMX.TMSFNCTypes, FMX.TMSFNCUtils, FMX.TMSFNCGraphics, FMX.TMSFNCGraphicsTypes,
  FMX.TMSFNCGridCell, FMX.TMSFNCGridOptions, FMX.TMSFNCCustomControl,
  FMX.TMSFNCCustomScrollControl, FMX.TMSFNCGridData, FMX.TMSFNCCustomGrid,
  FMX.TMSFNCGrid,
  FMX.TMSFNCComboBox;

type
  TForm2 = class(TForm)
    MyTMSGrid: TTMSFNCGrid;
    procedure MyTMSGridCellEditGetData(Sender: TObject; ACol, ARow: Integer;
      CellEditor: TTMSFNCGridEditor; var CellString: string);
    procedure MyTMSGridGetCellEditorCustomClassType(Sender: TObject; ACol,
      ARow: Integer; var CellEditorCustomClassType: TTMSFNCGridEditorClass);
    procedure MyTMSGridGetCellEditorType(Sender: TObject; ACol, ARow: Integer;
      var CellEditorType: TTMSFNCGridEditorType);
    procedure MyTMSGridCellEditSetData(Sender: TObject; ACol, ARow: Integer;
      CellEditor: TTMSFNCGridEditor; var CellString: string);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.fmx}

procedure TForm2.MyTMSGridGetCellEditorType(Sender: TObject; ACol,
  ARow: Integer; var CellEditorType: TTMSFNCGridEditorType);
begin
    case ACol of
    1: CellEditorType := etCustom;
  end;
end;

procedure TForm2.MyTMSGridCellEditSetData(Sender: TObject; ACol, ARow: Integer;
  CellEditor: TTMSFNCGridEditor; var CellString: string);
begin
  CellString := (CellEditor as TTMSFNCComboBox).Text;
end;

procedure TForm2.MyTMSGridGetCellEditorCustomClassType(Sender: TObject; ACol,
  ARow: Integer; var CellEditorCustomClassType: TTMSFNCGridEditorClass);
begin
   if ACol = 1 then
    CellEditorCustomClassType := TTMSFNCComboBox;
end;

procedure TForm2.MyTMSGridCellEditGetData(Sender: TObject; ACol, ARow: Integer;
  CellEditor: TTMSFNCGridEditor; var CellString: string);
begin
   if ACol = 1 then
  begin
    (CellEditor as TTMSFNCComboBox).Items.Add('Online');
    (CellEditor as TTMSFNCComboBox).Items.Add('Offline');
    (CellEditor as TTMSFNCComboBox).Text := CellString;
  end;
end;

end.



